Last-Update: 2016-02-15
Forwarded: not-needed
Author: Dmitry Smirnov <onlyjob@debian.org>
Description: QMAKE hardening.

--- a/src/phantomjs.pro
+++ b/src/phantomjs.pro
@@ -1,4 +1,8 @@
+## https://wiki.debian.org/Hardening#Notes_for_packages_using_QMake
+QMAKE_CFLAGS   *= $$(CFLAGS) $$(CPPFLAGS)
+QMAKE_CXXFLAGS *= $$(CXXFLAGS) $$(CPPFLAGS)
+QMAKE_LFLAGS   *= $$(LDFLAGS)
 
 if(!equals(QT_MAJOR_VERSION, 5)|!equals(QT_MINOR_VERSION, 5)) {
     error("This program can only be compiled with Qt 5.5.x.")
 }
